What is the story with mac and its preinstalled python??

"/System/Library/Frameworks/Python.framework/Versions/2.6, but site-packages was at /Library/Python/2.6/site-packages." per https://github.com/pypa/pip/issues/94

motivated by https://github.com/dschep/ntfy/issues/171